apiVersion: redhatcop.redhat.io/v1alpha1
kind: QuayEcosystem
metadata:
  name: demogcp-quayecosystem
spec:
  quay:
    imagePullSecretName: redhat-pull-secret
    image: quay.io/quay/quay:v3.3.0-2
    registryBackends:
    - name: googleCloud
      googleCloud:
        accessKey: GOOGIYQW2MHOKLYHIW65Q7JX
        secretKey: MMlbxltLPF2TLYZvQKC01iMHTJ/86ZjBPFKARS1e
        bucketName: quay0423
        storagePath: /quaygcpdata/quayregistry
    externalAccess:
      type: Ingress
      annotations:
        nginx.ingress.kubernetes.io/ssl-passthrough: "true"
        nginx.ingress.kubernetes.io/backend-protocol: "HTTPS"
    keepConfigDeployment: true
    enableRepoMirroring: true
    database:
      volumeSize: 30Gi
    envVars:
      - name: DEBUGLOG
        value: "true"
  clair:
    enabled: true
    image: quay.io/quay/clair-jwt:v3.3.0-1
    imagePullSecretName: redhat-pull-secret
    updateInterval: "60m"
